import React, { Component } from 'react';
import { NavLink as Link, Route } from "react-router-dom";
import './App.css';

import Diagram from "./components/Diagram";
import Pivot from "./components/Pivot";
import Gantt from "./components/Gantt";
import Scheduler from "./components/Scheduler";
import Suite from "./components/Suite";

class App extends Component {
  render() {
    return (
      <div className='app-screen'>
        <div className='app-header'>
          <h1>Intristic Probability Manager</h1>
        </div>
        <div className='app-page'>
          <div className='app-sidebar'>
            <h3>Widgets</h3>
            <nav>
              <Link to="/diagram">Diagram</Link>
              <Link to="/pivot">Pivot</Link>
              <Link to="/gantt">Gantt</Link>
              <Link to="/scheduler">Scheduler</Link>
              <Link to="/suite">Grid 5.0</Link>
            </nav>
          </div>
          <div className='app-content'>
            <Route path="/diagram" component={Diagram}/>
            <Route path="/pivot" component={Pivot}/>
            <Route path="/gantt" component={Gantt}/>
            <Route path="/scheduler" component={Scheduler}/>
            <Route path="/suite" component={Suite}/>
          </div>
        </div>
      </div>
    );
  }
}

export default App;
