import React, { Component } from 'react';
import fromCDN from "from-cdn";

const dataset = [
    {
        "name": "Argentina",
        "year": 2015,
        "continent": "South America",
        "form": "Republic",
        "gdp": 181.357,
        "oil": 1.545,
        "balance": 4.699,
        "when": "4/2/2015"
    },
    {
        "name": "Argentina",
        "year": 2017,
        "continent": "South America",
        "form": "Republic",
        "gdp": 212.507,
        "oil": 1.732,
        "balance": 7.167,
        "when": "1/2/2017"
    },
    {
        "name": "Argentina",
        "year": 2014,
        "continent": "South America",
        "form": "Republic",
        "gdp": 260.071,
        "oil": 2.845,
        "balance": 6.728,
        "when": "6/2/2014"
    }
];

class Pivot extends Component {
  constructor(props) {
    super(props);

    this.container = React.createRef();
    this.ready = fromCDN([
      "//cdn.dhtmlx.com/pivot/1.3/pivot.js",
      "//cdn.dhtmlx.com/pivot/1.3/pivot.css"
    ]);
  }
  componentDidMount() {
    this.ready.then(_ => {
      /* globals dhx */
      new dhx.Pivot(this.container.current, {
        data: dataset,
        fields: {
          rows: ["form", "name"],
          columns: ["year"],
          values: [{ id: "oil", method: "count" }, { id: "oil", method: "sum" }],
        },
        fieldList: [
          { id: "name", label: "Name" },
          { id: "year", label: "Year" },
          { id: "continent", label: "Continent" },
          { id: "form", label: "Form" },
          { id: "gdp", label: "GDP" },
          { id: "oil", label: "Oil" },
          { id: "balance", label: "Balance" },
          { id: "when", label: "When", type: "date", format: "%d/%m/%Y" }
        ]
      });
    });
  }
  render() {
    return (
      <div ref={this.container} className="widget-box"></div>
    );
  }
}

export default Pivot;
